Bug 988890 - Review Request: rubygem-sass-twitter-bootstrap - Gem of the Twitter Bootstrap
Review Request: rubygem-sass-twitter-bootstrap - Gem of the Twitter Bootstrap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 894524
  Show dependency treegraph
 
Reported: 2013-07-26 11:49 EDT by Troy Dawson
Modified: 2013-08-10 08:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygem-sass-twitter-bootstrap-2.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 23:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-07-26 11:49:34 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-sass-twitter-bootstrap.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-sass-twitter-bootstrap-2.0.1-1.fc20.src.rpm
Description: A rails compatible gem for John Long's Sass conversion 
of the Twitter Bootstrap
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-07-26 12:04:58 EDT
RPMLINT VALUES:
$ rpmlint rubygem-sass-twitter-bootstrap.spec rubygem-sass-twitter-bootstrap-2.0.1-1.fc20.src.rpm rubygem-sass-twitter-bootstrap-2.0.1-1.fc20.noarch.rpm rubygem-sass-twitter-bootstrap-doc-2.0.1-1.fc20.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

REASON FOR OLDER VERSION OF GEM:
This package is for a couple of OpenShift packages that need this version.  Upstream will not be able to update and test to the newer version of this gem for several months.  There have been no security advisories about this gem that require the newer versions.

REASON FOR THE VENDOR DIRECTORY:
We are following the footsteps of the rubygem-bootstrap-sass review[1].  That review consulted with the ruby-sig and the consensus was to leave the bundled javascript in until there are approved javascript guidelines.[2]
[1] https://bugzilla.redhat.com/show_bug.cgi?id=982679
[2] https://lists.fedoraproject.org/pipermail/ruby-sig/2013-July/001389.html

LICENSE:
The License is already in newer versions of the gem.  When we are able to update to a newer version, we will use Upstreams file.
Comment 2 Marek Mahut 2013-07-29 04:54:30 EDT
Troy,

Thank you for this review request. 

I think you're missing ruby(abi) in your Requires.

Other than that, this package looks fine to me. I'm attaching the scratch builds too.

  rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=5671036
  f20     http://koji.fedoraproject.org/koji/taskinfo?taskID=5671048
  f19     http://koji.fedoraproject.org/koji/taskinfo?taskID=5671046
Comment 3 Troy Dawson 2013-07-29 11:24:52 EDT
ruby(abi) was replaced in Fedora 19 with ruby(release), which is in the spec file.
I chose to not have a version (which is recommended) because there isn't anything to indicate it needs a version.

https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Ruby_Compatibility
Comment 4 Marek Mahut 2013-07-30 04:34:34 EDT
Troy, good to know :) I missed that update. This review request is approved.
Comment 5 Troy Dawson 2013-07-30 09:36:38 EDT
New Package SCM Request
=======================
Package Name: rubygem-sass-twitter-bootstrap
Short Description: Gem of the Twitter Bootstrap
Owners: tdawson
Branches: f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-07-30 09:43:34 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-07-30 10:34:44 EDT
rubygem-sass-twitter-bootstrap-2.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-sass-twitter-bootstrap-2.0.1-1.fc19
Comment 8 Fedora Update System 2013-08-01 23:44:08 EDT
rubygem-sass-twitter-bootstrap-2.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-08-09 23:57:26 EDT
rubygem-sass-twitter-bootstrap-2.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-08-10 08:37:42 EDT
rubygem-sass-twitter-bootstrap-2.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.